Bug 138589 - rpm --verifydb seg faults
Summary: rpm --verifydb seg faults
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-10 01:39 UTC by John Ruiz
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 05:49:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Seg Fault within Ximian Desktop Installer output (718 bytes, text/plain)
2004-11-10 01:41 UTC, John Ruiz
no flags Details

Description John Ruiz 2004-11-10 01:39:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I was trying to install Ximian Desktop on Fedora Core 3.  During the
interactive installation process, I see the output shown attached to
the bug report.  About 6 lines into the output, one may see a seg
fault over the rpm --verifydb command.

A simple 'rpm --verifydb' in the terminal also produces a seg fault.


Version-Release number of selected component (if applicable):
rpm-4.3.2-21

How reproducible:
Always

Steps to Reproduce:
1. 'rpm --verifydb'
    

Actual Results:  [root@jar349 rpms]# rpm --verifydb
Segmentation fault


Additional info:

Comment 1 John Ruiz 2004-11-10 01:41:49 UTC
Created attachment 106384 [details]
Seg Fault within Ximian Desktop Installer output

Comment 2 Jeff Johnson 2004-11-11 05:49:45 UTC
Hmmm, Ximian shouldn't really be using --verifydb, but
rather should be using /usr/lib/rpm/rpmdb_verify.

<shrug> Fixed in rpm-4.3.3-1 when built.


Note You need to log in before you can comment on or make changes to this bug.